#ifndef DendrogramF
#define DendrogramF

#include <stdlib.h>
#include <stdio.h>
#include "Distance.h"

typedef struct TREENODE {
	struct TREENODE *child1, *child2, *child3;
	TypeFloat length;
	TypeNumber ident;
} TypeTreeNode;

typedef struct NEIGHBORTREE {
	TypeTreeNode *root;
	char **name;
	TypeNumber number;
} TypeNeighborTree;

TypeNeighborTree computeTree(TypeDistance dist);

void printTreeNewick(FILE *f, TypeNeighborTree tree);
void printTreeNexus(FILE *f, TypeNeighborTree tree);

#endif
