#! /usr/bin/env python

# -*- coding: iso-8859-1 -*-

##
##  Copyright (C) 2010 E. Corel, G. Didier, C. Devauchelle, G. Grasseau
##
##  This program is free software; you can redistribute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation; either version 2 of the License, or (at
##  your option) any later version.
## 
##  This program is distributed in the hope that it will be useful, but
##  WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
##  General Public License for more details.
## 
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
## 
##

import sys,getopt,os,time

class EquivClassesLayers( ):

# GG ???? Must be built in decreasing order according to the "NLD order" value
    def __init__(self, sites_):
        self.dict_list     = []
        self.order_list    = []
        self.sites         = sites_

    def addLayer(self, n, dico=None):
        """ Adds layer of depth n to the current PTree as resulting from the decoding dec """
        if n:
            c = dico
            for l in c.keys():                              # suppress singletons
                if len(c[l]) == 1:
                    del c[l]
            self.dict_list.append( c )
            self.order_list.append( n )
            
