from distutils.core import setup, Extension

setup(name='MS4_lib',
      description='Utility classes and methods to use N-Local decoded sequences',
      author='Gilles Grasseau',
      author_email='Gilles.Grasseau@genopole.cnrs.fr',
      version='0.01',
      packages = ['MS4_lib'],
      package_dir={'MS4_lib' : '.'},
      ext_modules=[
          Extension('MS4_lib',
           [ 'Decode.c', 'Distance.c',
             'Neighbor.c', 'Sequences.c', 'SequencesOld.c', 'Utils.c',
             'interface.c'
           ],
           extra_compile_args=['-g'],
           libraries=['m']                 
           )
           ]
#      package_data={'localdecoding': ['data/nef.fsa','data/nef_decoded.fsa']},
)
